@use '../../../../sass/01-abstracts/variable' as *;

.title{
    text-align: left;
    h1{
        font-size: 28px;
        font-weight: 500;
        color: $color-primary;
    }
    hr{
        width: 40%;
        opacity: .5;
        margin: inherit;
    }
}

.container-cards{
    display: flex;
    flex-wrap: wrap;
    position: relative;
    .card{
        padding: 15px;
        width: 280px;
        margin-right: 20px;
        border: 1px solid #ebebeb;
        border-radius: 5px;
        margin-bottom: 25px;
        @media (max-width: 768px){
            width: 100%;
        }
        &:hover{
            ion-icon.icon-add{
                transform: rotate(267deg);
            }
            .card-amount {
                height: 30px !important;
            }
        }

        &-image{
            height: 210px;
            background-position: center;
            background-size: contain;
            background-repeat: no-repeat;
            margin-bottom: 10px;
            position: relative;
            ngx-qrcode{
                width: 65px;
                position: absolute;
                right: -15px;
                top: -15px;
            }
           
        }
        &-detail{
            p{
                font-size: 12px;
                color: #999;
                line-height: 1.5;
                display: block;
                display: -webkit-box;
                -webkit-line-clamp: 2;
                -webkit-box-orient: vertical;
                overflow: hidden;
                height: 35px;
                margin-bottom: 10px !important;
            }
            h4{
                line-height: 18px;
                display: block;
                margin-bottom: 10px;
                font-weight: 500;
                padding: 5px 0;
                white-space: nowrap;
                overflow: hidden;
                text-overflow: ellipsis;
            }
            span{
                color: #555;
                font-size: 15px;
            }
            .qualification  {
                display: flex;
                align-items: center;
                margin-bottom: 5px;
                ion-icon {
                    font-size: 14px;
                    margin-right: 4px;
                    color: #fdd835;
                    &.inactive{
                        color: #d0d0d0;
                    }
                }
            }
        }
        &-amount{
            height: 0;
            width: 50%;
            overflow: hidden;
            margin: auto;
            margin-top: 15px;
            transition: .5s ease all;

            @media (max-width: 768px){
                height: fit-content;
            }
            form{
                display: flex;
                justify-content: space-between;
                align-items: center;
                //margin-top: 15px;
                ion-icon{
                    margin: 0;
                }
                .btn{
                    width: 20px;
                    height: 20px;
                    display: flex;
                    align-items: center;
                    justify-content: center;
                    border: 2px solid black;
                    border-radius: 5px;
                    color: black;
                    &-plus{
                    }
                    &-minus{
                    }
                }
                input{
                    background-color: transparent;
                    border: none;
                    text-align: center;
                    padding: 5px;
                    width: 60%;
                }
            }
        }
        &-action{
            button{
                font-size: 14px;
                margin-top: 15px;
                padding: 10px 0;
                color: $white;
                font-weight: 500;

                display: flex;
                align-items: center;
                justify-content: center;
                text-transform: uppercase;
                span{
                    display: flex;
                    align-items: center;
                    justify-content: center;
                    ion-icon{
                        margin-right: 5px;
                    }
                }
                ion-icon{
                    transition: .5s ease all;
                    //visibility: hidden;
                }                
            }
        }
    }
}
.container-search{
    width: 50%;
    position: relative;
    margin-bottom: 30px;
    margin-top: 20px;
    @media (max-width: 768px){
        width: 100%;
    }
    ion-icon{
        position: absolute;
        left: 20px;
        top: 0;
        bottom: 0;
        margin: auto;
        color: #bec7d5;
        font-size: 20px;
        &:nth-child(3){
            cursor: pointer;
            right: 15px;
            left: auto;
            color: #f44336;
        }
    }
    input{
        width: 100%;
        font-size: 14px;
        border: 0;
        outline: 0;
        border-radius: 10px;
        font-size: 16px;
        padding: 13px;
        padding-left: 50px;
        background-color: white;
        border: 1px solid #ebebeb;
        &::placeholder{
            color: #bec7d5;
        }
    }
}

.container-notfound {
    width: 100%;
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    background: white;
    margin: auto;
    display: flex;
    align-items: center;
    flex-direction: column;
    padding-top: 50px;
    text-align: center;
    @media(max-width: 768px){
        position: relative;
        padding-top: 40px;
    }
    img{
        filter: grayscale(1);
        opacity: .2;
    }
    h3{
        font-size: 20px;
        font-weight: 500;
        color: #a3a3a3;
        opacity: .4;
    }
}